# Globals.Compiler (Luaj API)
Date: 2015-04-29

## org.luaj.vm2
Interface Globals.Compiler

All Known Implementing Classes:
  LuaC

Enclosing class:
  Globals

    public static interface Globals.Compiler

Interface for module that converts lua source text into a prototype.

Method Summary
`Prototype` `compile(java.io.InputStream stream, java.lang.String chunkname)` Compile lua source into a Prototype.

Method Detail

### compile

    Prototype compile(java.io.InputStream stream,
                      java.lang.String chunkname)
                      throws java.io.IOException

  Compile lua source into a Prototype. The InputStream is assumed to be in UTF-8.

  Throws:
    `java.io.IOException`

Copyright © 2007-2015 Luaj.org. All Rights Reserved.